Preview
curl --request POST \
--url https://{host}/api/submissions/previews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"spec": {},
"profile": "<string>",
"source": {
"id": "<string>",
"digest": "<string>"
},
"config": {},
"argv": [
"<string>"
],
"working_directory": "/workspace",
"metadata": {}
}
'import requests
url = "https://{host}/api/submissions/previews"
payload = {
"project": "<string>",
"spec": {},
"profile": "<string>",
"source": {
"id": "<string>",
"digest": "<string>"
},
"config": {},
"argv": ["<string>"],
"working_directory": "/workspace",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
spec: {},
profile: '<string>',
source: {id: '<string>', digest: '<string>'},
config: {},
argv: ['<string>'],
working_directory: '/workspace',
metadata: {}
})
};
fetch('https://{host}/api/submissions/previews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"digest": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"resolved": {},
"provenance": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Preview
POST
/
api
/
submissions
/
previews
Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
recipe, source, image Required string length:
1 - 128Show child attributes
Show child attributes
Maximum array length:
256